diff --git a/src/lwp_ucontext.h b/src/lwp_ucontext.h
index dfb5465..adc58e5 100644
--- a/src/lwp_ucontext.h
+++ b/src/lwp_ucontext.h
@@ -25,6 +25,13 @@ Coda are listed in the file CREDITS.
 #include <signal.h>
 #include "lwp_stacktrace.h"
 
+// ia64 defines uc_link define as:
+//    /usr/include/sys/ucontext.h:#define uc_link             _u._uc._link
+// undo namespace pollution
+#undef uc_link
+#undef uc_stack
+#undef uc_mcontext
+
 #ifdef SAVE_SIGMASK
 #define JMP_BUF sigjmp_buf
 #define SETJMP(x,y) sigsetjmp(x, y)
